Subject: Re: linux-next: manual merge of the usb tree with the usb.current tree

From: Randy Dunlap <[email-masked]>
Date: Sun, 1 Jul 2018 08:11:34 -0700

On 07/01/18 01:43, Greg KH wrote:
> On Fri, Jun 29, 2018 at 02:57:19PM +1000, Stephen Rothwell wrote:
>> Hi Greg,
>>
>> Today's linux-next merge of the usb tree got a conflict in:
>>
>>   drivers/staging/typec/Kconfig
>>
>> between commit:
>>
>>   e16711c32bca ("staging/typec: fix tcpci_rt1711h build errors")
>>
>> from the usb.current tree and commit:
>>
>>   990da41530b3 ("staging: typec: tcpci: move tcpci drivers out of staging")
>>
>> from the usb tree.
>>
>> I fixed it up (I removed the file and allpied the patch below) and can
>> carry the fix as necessary. This is now fixed as far as linux-next is
>> concerned, but any non trivial conflicts should be mentioned to your
>> upstream maintainer when your tree is submitted for merging.  You may
>> also want to consider cooperating with the maintainer of the conflicting
>> tree to minimise any particularly complex conflicts.
>>
>> From: Stephen Rothwell <[email-masked]>
>> Date: Fri, 29 Jun 2018 14:54:04 +1000
>> Subject: [PATCH] usb: update for tcpci drivers moving out of staging
>>
>> Signed-off-by: Stephen Rothwell <[email-masked]>
>> ---
>>  drivers/usb/typec/Kconfig | 1 +
>>  1 file changed, 1 insertion(+)
>>
>> diff --git a/drivers/usb/typec/Kconfig b/drivers/usb/typec/Kconfig
>> index 972fd1911045..ee808903983f 100644
>> --- a/drivers/usb/typec/Kconfig
>> +++ b/drivers/usb/typec/Kconfig
>> @@ -65,6 +65,7 @@ config TYPEC_TCPCI
>>  
>>  config TYPEC_RT1711H
>>  	tristate "Richtek RT1711H Type-C chip driver"
>> +	depends on I2C
> 
> Thanks for this, I'll apply this to my tree when I merge these together
> in a few days.

I suppose that I could ack it since it's the same as my patch except
for the line numbers...

-- 
~Randy